org.apache.commons.collections4.multiset

## Class AbstractMapMultiSet.UniqueSetIterator<E>

- java.lang.Object
- - org.apache.commons.collections4.iterators.AbstractUntypedIteratorDecorator<E,E>
  - - org.apache.commons.collections4.iterators.AbstractIteratorDecorator<E>
    - - org.apache.commons.collections4.multiset.AbstractMapMultiSet.UniqueSetIterator<E>

- All Implemented Interfaces:
    Iterator<E>
  Enclosing class:
    AbstractMapMultiSet<E>

      protected static class AbstractMapMultiSet.UniqueSetIterator<E>
      extends AbstractIteratorDecorator<E>

  Inner class UniqueSetIterator.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `canRemove` Whether remove is allowed at present
    `protected E` | `lastElement` The last returned element
    `protected AbstractMapMultiSet<E>` | `parent` The parent multiset

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `UniqueSetIterator(Iterator<E> iterator, AbstractMapMultiSet<E> parent)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `E` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class org.apache.commons.collections4.iterators.AbstractUntypedIteratorDecorator

      `getIterator, hasNext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Field Detail

    - #### parent

          protected final AbstractMapMultiSet<E> parent

      The parent multiset

    - #### lastElement

          protected E lastElement

      The last returned element

    - #### canRemove

          protected boolean canRemove

      Whether remove is allowed at present

  - ### Constructor Detail

    - #### UniqueSetIterator

          protected UniqueSetIterator(Iterator<E> iterator,
                                      AbstractMapMultiSet<E> parent)

      Constructor.
      Parameters:
        `iterator` - the iterator to decorate
        `parent` - the parent multiset

  - ### Method Detail

    - #### next

          public E next()

      Description copied from class: `AbstractIteratorDecorator`
      Specified by:
        `next` in interface `Iterator<E>`
      Overrides:
        `next` in class `AbstractIteratorDecorator<E>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<E>`
      Overrides:
        `remove` in class `AbstractUntypedIteratorDecorator<E,E>`

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.